# ListMultipartUploads

Returns a list of current multipart uploads.

The response may contain no more than 1,000 elements. If there are more uploads, Object Storage returns the `IsTruncated` element and the `NextKeyMarker` and `NextUploadIdMarker` elements to be used for the `key-marker` and `upload-id-​marker` parameters of a subsequent request.

### Request

```
GET /{bucket}?uploads HTTP/1.1
```

#### Path parameters <a href="#path-parameters" id="path-parameters"></a>

| Parameter | Description  |
| --------- | ------------ |
| `bucket`  | Bucket name. |

#### Query parameters <a href="#request-parameters" id="request-parameters"></a>

| Parameter           | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| ------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `delimiter`         | <p>Delimiter character.<br><br>If this parameter is specified, Object Storage interprets the key as the path to the file with folder names separated by the <code>delimiter</code> character. The user gets a list of files and folders in the root of the bucket. Files are output in the <code>Uploads</code> elements, and the folders in the <code>CommonPrefixes</code> elements.<br><br>If the request also specifies the <code>prefix</code> parameter, Object Storage returns the a of files and folders in the <code>prefix</code> folder.</p>                                                                                                                                                                                       |
| `max-uploads`       | <p>Maximum number of uploads in a response.<br><br>By default, Object Storage outputs a maximum of 1000 keys. This parameter should be used if you need to get less than 1000 keys in a single response.<br><br>If the number of keys meeting the selection criteria is greater than the number that could fit in the output, the response contains <code>\<IsTruncated>true\</IsTruncated></code>.<br><br>To get all output objects if their number exceeds the <code>max-keys</code> value, make several consecutive requests to Object Storage with the <code>key-marker</code> parameter, where the <code>key-marker</code> of each request is equal to the value of the <code>NextKeyMarker</code> element in the previous response.</p> |
| `key-marker`        | <p>Key. Output begins with the key that follows the one specified in the parameter value.<br><br>Use it together with the <code>upload-id-marker</code> for output filtering.<br><br>If the <code>upload-id-marker</code> is specified, then the output also contains the <code>key-marker</code>.</p>                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| `prefix`            | <p>String to start the key from.<br><br>Object Storage selects only those keys that start with <code>prefix</code>.</p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| `upload-id-​marker` | <p>Upload ID.<br><br>Output begins with the upload whose ID follows the one specified in the parameter value. The <code>key-marker</code> value is processed, meaning that the output contains the uploads that match filtering by both <code>upload-id-​marker</code> and <code>key-marker</code>.<br><br>If no<code>key-marker</code> is specified, the <code>upload-id-​marker</code> is ignored.</p>                                                                                                                                                                                                                                                                                                                                      |
| `uploads`           | Flag indicating a multipart upload operation.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |

#### Headers <a href="#request-headers" id="request-headers"></a>

Use the necessary [common request headers](https://cloud.yandex.com/docs/storage/s3/api-ref/common-request-headers) in requests.

### Response <a href="#response" id="response"></a>

#### Headers <a href="#response-headers" id="response-headers"></a>

Responses can only contain [common response headers](https://cloud.yandex.com/docs/storage/s3/api-ref/common-response-headers).

#### Response codes <a href="#response-codes" id="response-codes"></a>

For a list of possible responses, see [Responses](https://cloud.yandex.com/docs/storage/s3/api-ref/response-codes).

A successful response contains additional data in XML format with the schema described below.

#### Data schema <a href="#response-scheme" id="response-scheme"></a>

```
<ListMultipartUploadsResult xmlns="http://s3.amazonaws.com/doc/2006-03-01/">
  <Bucket>bucket</Bucket>
  <KeyMarker></KeyMarker>
  <UploadIdMarker></UploadIdMarker>
  <NextKeyMarker>my-movie.m2ts</NextKeyMarker>
  <NextUploadIdMarker>YW55IGlkZWEgd2h5IGVsdmluZydzIHVwbG9hZCBmYWlsZWQ</NextUploadIdMarker>
  <MaxUploads>3</MaxUploads>
  <IsTruncated>true</IsTruncated>
  <Upload>
    <Key>my-divisor</Key>
    <UploadId>XMgbGlrZSBlbHZpbmcncyBub3QgaGF2aW5nIG11Y2ggbHVjaw</UploadId>
    <Initiator>
      <ID>...</ID>
      <DisplayName>...</DisplayName>
    </Initiator>
    <StorageClass>STANDARD</StorageClass>
    <Initiated>2010-11-10T20:48:33.000Z</Initiated>
  </Upload>
  <Upload>
    <Key>my-movie.m2ts</Key>
    <UploadId>VXBsb2FkIElEIGZvciBlbHZpbmcncyBteS1tb3ZpZS5tMnRzIHVwbG9hZA</UploadId>
    <Initiator>
      <ID>...</ID>
      <DisplayName>...</DisplayName>
    </Initiator>
    <StorageClass>COLD</StorageClass>
    <Initiated>2010-11-10T20:48:33.000Z</Initiated>
  </Upload>
  <Upload>
    <Key>my-movie.m2ts</Key>
    <UploadId>YW55IGlkZWEgd2h5IGVsdmluZydzIHVwbG9hZCBmYWlsZWQ</UploadId>
    <Initiator>
      <ID>...</ID>
      <DisplayName>...</DisplayName>
    </Initiator>
    <StorageClass>STANDARD</StorageClass>
    <Initiated>2010-11-10T20:49:33.000Z</Initiated>
  </Upload>
</ListMultipartUploadsResult>
```

| Tag                                  | Description                                                                                                                                                                                                                                                                                                                                          |
| ------------------------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `ListMultipartUploadsResult`         | <p>Root tag for the response.<br><br>Path: <code>/ListMultipartUploadsResult</code>.</p>                                                                                                                                                                                                                                                             |
| `Bucket`                             | <p>The bucket that the multipart upload belongs to.<br><br>Path: <code>/ListMultipartUploadsResult/Bucket</code>.</p>                                                                                                                                                                                                                                |
| `KeyMarker`                          | <p>Key.<br><br>The output begins with the key that follows the one specified in the element value.<br><br>See the <code>key-marker</code> request parameter description.<br><br>Path: <code>/ListMultipartUploadsResult/KeyMarker</code>.</p>                                                                                                        |
| `UploadIdMarker`                     | <p>Upload ID.<br><br>Output begins with the upload whose ID follows the one specified in the parameter value.<br><br>See the <code>upload-id-marker</code> parameter description.<br><br>Path: <code>/ListMultipartUploadsResult/UploadIdMarker</code>.</p>                                                                                          |
| `NextKeyMarker`                      | <p>Key.<br><br>If the output failed to include all the elements the user should have received, this value is to be used in the <code>key-marker</code> parameter for subsequent requests.<br><br>Present if some of the elements do not fit in the response.<br><br>Path: <code>/ListMultipartUploadsResult/NextKeyMarker</code>.</p>                |
| `NextUploadIdMarker`                 | <p>Upload ID.<br><br>If the output failed to include all the elements the user should have received, this value is to be used in the <code>upload-id-marker</code> parameter for subsequent requests.<br><br>Present if some of the elements do not fit in the response.<br><br>Path: <code>/ListMultipartUploadsResult/NextUploadMarker</code>.</p> |
| `Encoding-Type`                      | <p>Encoding in which Object Storage provides a key in an XML response.<br><br>See the <code>encoding-type</code> request parameter description.<br><br>Path: <code>/ListMultipartUploadsResult/Encoding-Type</code>.</p>                                                                                                                             |
| `MaxUploads`                         | <p>Maximum list length for a single response.<br><br>See the <code>max-uploads</code> request parameter description.<br><br>Path: <code>/ListMultipartUploadsResult/MaxUploads</code>.</p>                                                                                                                                                           |
| `IsTruncated`                        | <p>Flag indicating that a list is incomplete.<br><br>If <code>IsTruncated</code> is <code>true</code>, this means that Object Storage returned an incomplete list of uploads.<br><br>Path: <code>/ListMultipartUploadsResult/IsTruncated</code>.</p>                                                                                                 |
| `Upload`                             | <p>Upload description.<br><br>Path: <code>/ListMultipartUploadsResult/Upload</code>.</p>                                                                                                                                                                                                                                                             |
| `Key`                                | <p>Key of the last upload object.<br><br>Path: <code>/ListMultipartUploadsResult/Upload/Key</code>.</p>                                                                                                                                                                                                                                              |
| `UploadId`                           | <p>Multipart upload ID.<br><br>Path: <code>/ListMultipartUploadsResult/Upload/UploadId</code>.</p>                                                                                                                                                                                                                                                   |
| `Initiator`                          | <p>Multipart upload initiator.<br><br>Path: <code>/ListMultipartUploadsResult/Upload/Initiator</code>.</p>                                                                                                                                                                                                                                           |
| `ID`                                 | <p>User ID.<br><br>Possible paths:<br>- <code>/ListMultipartUploadsResult/Upload/Initiator/ID</code></p>                                                                                                                                                                                                                                             |
| `DisplayName`                        | <p>User name displayed.<br><br>Possible paths:<br>- <code>/ListMultipartUploadsResult/Upload/Initiator/DisplayName</code></p>                                                                                                                                                                                                                        |
| `StorageClass`                       | <p>Object storage class: <code>STANDARD</code> or <code>COLD</code>.<br><br>Path: <code>/ListMultipartUploadsResult/Upload/StorageClass</code>.</p>                                                                                                                                                                                                  |
| `Initiated`                          | Date and time of the request for [starting multipart upload](https://cloud.yandex.com/docs/storage/s3/api-ref/multipart/startupload).                                                                                                                                                                                                                |
| `/ListMultipartUploadsResult/Prefix` | <p>Key prefix.<br><br>See the <code>prefix</code> request parameter description.<br><br>Path: <code>/ListMultipartUploadsResult/Prefix</code>.</p>                                                                                                                                                                                                   |
| `Delimiter`                          | <p>Delimiter character that was used when generating output.<br><br>See the description of the <code>delimiter</code> request parameter.<br><br>Path: <code>/ListMultipartUploadsResult/Delimiter</code>.</p>                                                                                                                                        |
| `CommonPrefixes`                     | <p>Contains the <code>Prefix</code> element.<br><br>Path: <code>/ListMultipartUploadsResult/CommonPrefixes</code>.</p>                                                                                                                                                                                                                               |
| `CommonPrefixes/Prefix`              | <p>Part of the key name identified when processing the <code>delimiter</code> and <code>prefix</code> request parameters.<br><br>Path: <code>/ListMultipartUploadsResult/CommonPrefixes/Prefix</code>.</p>                                                                                                                                           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.coldstack.io/http-api-compatible-with-amazon-s3/api-reference/multipart-upload/listmultipartuploads.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
